Subject: Re: git-clone --how-much-disk-space-will-this-cost-me? [--depth n]

From: Jean-Luc Herren <[email-masked]>
Date: Tue, 16 Dec 2008 01:22:49 +0100

Hi!

[email-masked] wrote:
> The git-clone manpage should mention how to determine how much disk
> space will be used.
> [...]
> And don't tell us to just figure it out from the progress messages
> after the download begins, and hit ^C if we don't like it.

Maybe that's a dumb answer, but... why not?  This works pretty
well for me.

> Nope, nowhere does it directly say "You Holmes, are in for 27
> Megabytes (on your piddly modem)". There obviously is math involved to
> figure it out... math!

So maybe what you really want is an ETA display during the cloning
process?  Sounds like a good idea to me.

jlh